libsigc++: sigc::retype_return_functor< T_return, T_functor > Struct Template Reference

libsigc++ 2.2.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# sigc::retype_return_functor< T_return, T_functor > Struct Template Reference
retype(), retype_return()

Adaptor that performs a C-style cast on the return value of a functor. More...

`#include <sigc++/adaptors/retype_return.h>`

Inheritance diagram for sigc::retype_return_functor< T_return, T_functor >:
[legend]

List of all members.

## Public Types
typedef T_return | result_type
## Public Member Functions
T_return | operator() ()
template <class T_arg1 >
T_return | operator() (T_arg1 _A_a1)
template <class T_arg1 , class T_arg2 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
template <class T_arg1 , class T_arg2 , class T_arg3 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
| retype_return_functor (typename type_trait< T_functor >::take _A_functor)
| Constructs a retype_return_functor object that perform a C-style cast on the return value of the passed functor.

## Detailed Description

### template<class T_return, class T_functor>
struct sigc::retype_return_functor< T_return, T_functor >

Adaptor that performs a C-style cast on the return value of a functor.

Use the convenience function sigc::retype_return() to create an instance of retype_return_functor.

The following template arguments are used:

- T_return Target type of the C-style cast.
- T_functor Type of the functor to wrap.

## Constructor & Destructor Documentation

template <class T_return , class T_functor >

sigc::retype_return_functor< T_return, T_functor >::retype_return_functor | ( | typename type_trait< T_functor >::take | _A_functor | ) | `[inline, explicit]`

Constructs a retype_return_functor object that perform a C-style cast on the return value of the passed functor.

Parameters:

  _A_functor | Functor to invoke from operator()().